Osi 0.107.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
drop_empty_rows_action Class Reference

Physically removes empty rows in presolve, and reinserts empty rows in postsolve. More...

`#include <CoinPresolveEmpty.hpp>`

Inheritance diagram for drop_empty_rows_action:
[legend]
Collaboration diagram for drop_empty_rows_action:
[legend]

## Classes
struct | action

## Public Member Functions
const char * | name () const
| A name for debug printing. More...
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action. More...
virtual | ~drop_empty_rows_action ()
Public Member Functions inherited from CoinPresolveAction
| CoinPresolveAction (const CoinPresolveAction *next)
| Construct a postsolve object and add it to the transformation list. More...
void | setNext (const CoinPresolveAction *nextAction)
| modify next (when building rather than passing) More...
virtual | ~CoinPresolveAction ()
| Virtual destructor. More...

## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next)
Static Public Member Functions inherited from CoinPresolveAction
static void | throwCoinError (const char *error, const char *ps_routine)
| Stub routine to throw exceptions. More...

## Private Member Functions
| drop_empty_rows_action (int nactions, const action *actions, const CoinPresolveAction *next)

## Private Attributes
const int | nactions_
const action *const | actions_

## Additional Inherited Members
Public Attributes inherited from CoinPresolveAction
const CoinPresolveAction * | next
| The next presolve transformation. More...

## Detailed Description

Physically removes empty rows in presolve, and reinserts empty rows in postsolve.

Physical removal of rows and columns should be the last activities performed during presolve. Do them exactly once. The row-major matrix is not maintained by this transform.

To physically drop the rows, the rows are renumbered, excluding empty rows. This involves rewriting CoinPrePostsolveMatrix::hrow_ and compressing the row bounds and (if present) the row portions of the solution.

Todo:
  Confirm behaviour when a solution is present in presolve.

Definition at line 86 of file CoinPresolveEmpty.hpp.

## Constructor & Destructor Documentation

drop_empty_rows_action::drop_empty_rows_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next
| ) |  |
| inline private

Definition at line 98 of file CoinPresolveEmpty.hpp.

virtual drop_empty_rows_action::~drop_empty_rows_action | ( |  | ) |
| inline virtual

Definition at line 113 of file CoinPresolveEmpty.hpp.

## Member Function Documentation

const char* drop_empty_rows_action::name | ( |  | ) | const
| inline virtual

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

Definition at line 106 of file CoinPresolveEmpty.hpp.

static const CoinPresolveAction* drop_empty_rows_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next
| ) |  |
| static

void drop_empty_rows_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const
| virtual

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int drop_empty_rows_action::nactions_
| private

Definition at line 95 of file CoinPresolveEmpty.hpp.

const action* const drop_empty_rows_action::actions_
| private

Definition at line 96 of file CoinPresolveEmpty.hpp.

The documentation for this class was generated from the following file:

- /tmp/Osi-0.107.7/CoinUtils/src/CoinPresolveEmpty.hpp